#include <iostream>
#include <bits/stdc++.h>

using namespace std;

int main(int argc, char** argv) {
	int n, m;
	scanf("%d%d", &n, &m);
	long a[n];
	for(int i = 0; i < n; i++)
	{
		scanf("%d", &a[i]);
	}
	int x, y, z = 0;
	for(int i = 0; i < m; i++)
	{
		scanf("%d%d", &x, &y);
		x--; y--;
		if(a[x] < 0 || a[y] < 0)
		{
			if(abs(a[x]) > abs(a[y]))
			{
				if(a[x] > 0)
				{
					z += a[x];
					z += a[y];
				}
				else
				{
					z -= a[x];
					z -= a[y];
				}
			}
			else
			{
				if(a[y] > 0)
				{
					z += a[x];
					z += a[y];
				}
				else
				{
					z -= a[x];
					z -= a[y];
				}
			}
		}
		else
		{
			z += a[x];
			z += a[y];
		}
	}
	printf("%d", z);
	return 0;
}